summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFlorian Bruhin <me@the-compiler.org>2012-06-13 07:03:26 +0200
committerFlorian Bruhin <me@the-compiler.org>2012-06-13 07:03:26 +0200
commit4caab91079bcb336a4b6ade0a560a0fb2f5bc0ca (patch)
treea98668e1bb4b0427d28fa6cd173a0e5b130c98bb
parenteb8fc524deb04dd9096f951e15f2760d9094a8b1 (diff)
downloadquvi-dwb-4caab91079bcb336a4b6ade0a560a0fb2f5bc0ca.tar.gz
quvi-dwb-4caab91079bcb336a4b6ade0a560a0fb2f5bc0ca.zip
Don't play video if zenity was closedHEADmaster
-rwxr-xr-xquvi.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/quvi.sh b/quvi.sh
index bb5f5d0..8ff22ce 100755
--- a/quvi.sh
+++ b/quvi.sh
@@ -56,6 +56,9 @@ elif [[ ${#format_array[@]} == 1 ]]; then
format="${format_array[0]}"
else
format=$(zenity --text "Which format do you want?" --list --column=format default best "${format_array[@]}")
+ if [[ $? != 0 ]]; then # Zenity window closed
+ exit 0
+ fi
fi
quvi -f "$format" --exec "$exec" -v mute "$DWB_URI"